import { App } from 'vue'
import Button from './button'
import Tag from './tag'
import './assets/less/index.less'
import { getComponentPrefix } from './_utils/global-config'
// import './wpForm/index'
const components = [
	Button,
	Tag
]
// 全局注册
const install = (app: App) => {
	components.forEach(component => {
		const componentPrefix = getComponentPrefix()
		app.component(componentPrefix + component.name, component)
	})
}

// 局部注册
export {
	Button,
	Tag,
	install
}

export default {
	install
}
